---
title: Delete Line Attribute
slug: delete-line-attribute
docTags: 
createdAt: 2026-09-12T01:11:05.657Z
---

{
  "id": "kkQKp1GjFDl5FBFpQtnZ8",
  "type": "api-oas-v2",
  "data": {
    "method": "DELETE",
    "url": "https://api.nue.io/api/objects/LineAttribute/{id}",
    "servers": [
      {
        "url": "https://api.nue.io/api/objects/LineAttribute/{id}",
        "description": "Nue Production API Endpoint"
      },
      {
        "url": "https://api.sandbox.nue.io/api/objects/LineAttribute/{id}",
        "description": "Nue Sandbox API Endpoint"
      }
    ],
    "name": "Delete Line Attribute",
    "description": "<p>Delete a Line Attribute definition. An <strong>active</strong> Line Attribute cannot be deleted — deactivate it first (<code>isActive: false</code>), then delete. Deleting the definition does not remove the custom field provisioned on the line objects.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "id",
          "type": "string",
          "example": "a1Sa5000006aWvZEAU",
          "description": "The ID of the Line Attribute"
        }
      ],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "ApiKeyAuth",
          "name": "nue-api-key",
          "kind": "optional",
          "type": "apiKey",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Line Attribute deleted successfully",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "401",
        "description": "<p>Unauthorized - Invalid or missing API key</p>",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "403",
        "description": "<p>Forbidden - Insufficient permissions</p>",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "404",
        "description": "<p>Not Found - Line Attribute with specified ID not found</p>",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "409",
        "description": "<p>Conflict - the Line Attribute is active and cannot be deleted; deactivate it first</p>",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "hZVVFvE1sKON5WZDS3eMQ",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request DELETE \\\n     --url https://api.nue.io/api/objects/LineAttribute/{id} \\\n     --header 'accept: application/json'"
        },
        {
          "id": "MxdhsQhxRphHqLVZpvLqr",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'DELETE',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.nue.io/api/objects/LineAttribute/{id}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "d_RW4P0WyTjBwvcPhfnFn",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.nue.io/api/objects/LineAttribute/{id}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Delete.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "QCaEcrzGDjL51S8S89Rom",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.nue.io/api/objects/LineAttribute/{id}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"DELETE\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "hZVVFvE1sKON5WZDS3eMQ"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Line Attribute deleted successfully\n"
        },
        {
          "id": "response-1-401",
          "language": "401",
          "code": "// Unauthorized - Invalid or missing API key\n"
        },
        {
          "id": "response-2-403",
          "language": "403",
          "code": "// Forbidden - Insufficient permissions\n"
        },
        {
          "id": "response-3-404",
          "language": "404",
          "code": "// Not Found - Line Attribute with specified ID not found\n"
        },
        {
          "id": "response-4-409",
          "language": "409",
          "code": "// Conflict - the Line Attribute is active and cannot be deleted; deactivate it first\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}